package androidx.media;

import ῲ.ᑓ.AbstractC1615;
import ῲ.ᑓ.AbstractC1617;

public final class AudioAttributesCompatParcelizer {
    public static AudioAttributesCompat read(AbstractC1617 k) {
        AudioAttributesCompat audioAttributesCompat = new AudioAttributesCompat();
        AbstractC1615 r1 = audioAttributesCompat.f1371;
        if (k.m4205(1)) {
            r1 = k.m4191();
        }
        audioAttributesCompat.f1371 = (AudioAttributesImpl) r1;
        return audioAttributesCompat;
    }

    public static void write(AudioAttributesCompat audioAttributesCompat, AbstractC1617 k) {
        k.m4207();
        AudioAttributesImpl audioAttributesImpl = audioAttributesCompat.f1371;
        k.m4194(1);
        k.m4204(audioAttributesImpl);
    }
}
